Subject: Re: [PATCH v1 net] net: ethernet: mscc: ocelot: bug fix when writing MAC speed

From: Colin Foster <[email-masked]>
Date: Tue, 14 Sep 2021 23:43:45 -0700

On Tue, Sep 14, 2021 at 11:21:02PM -0700, Colin Foster wrote:
> Converting the ocelot driver to use phylink, commit e6e12df625f2, uses mac_speed
> in ocelot_phylink_mac_link_up instead of the local variable speed. Stale
> references to the old variable were missed, and so were always performing
> invalid second writes to the DEV_CLOCK_CFG and ANA_PFC_CFG registers.

In my negligence I ran check_patch after sending this and didn't add the
title line to my reference commit. I can resubmit if everything else
looks good.